package com.ss.android.ugc.aweme.profile.model;

import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import com.ss.android.ugc.aweme.base.api.BaseResponse;

public final class FollowStatus extends BaseResponse {
    @c(LIZ = "contact_name")
    public String contactName;
    public int followFrom;
    @c(LIZ = "follow_status")
    public int followStatus;
    public int followerStatus = -1;
    @c(LIZ = "is_enterprise")
    public int isEnterprise;
    public boolean isFollowChange = true;
    public boolean isFollowSucess = true;
    public int preStatus = -1;
    public String secUserId;
    public String userId;
    @c(LIZ = "watch_status")
    public int watchStatus;

    static {
        Covode.recordClassIndex(98792);
    }

    public final boolean getIsEnterprise() {
        if (this.isEnterprise == 1) {
            return true;
        }
        return false;
    }

    public FollowStatus() {
    }

    public final boolean isCheating() {
        if (this.status_code == 2149) {
            return true;
        }
        return false;
    }

    public final String toString() {
        return "FollowStatus{watchStatus=" + this.watchStatus + ", followStatus=" + this.followStatus + ", contactName='" + this.contactName + '\'' + ", isEnterprise=" + this.isEnterprise + ", userId='" + this.userId + '\'' + ", secUserId='" + this.secUserId + '\'' + ", isFollowSucess=" + this.isFollowSucess + ", isFollowChange=" + this.isFollowChange + ", followerStatus=" + this.followerStatus + ", followFrom=" + this.followFrom + ", preStatus=" + this.preStatus + '}';
    }

    public FollowStatus(String str, int i) {
        this.userId = str;
        this.followStatus = i;
    }

    public FollowStatus(String str, int i, int i2) {
        this.userId = str;
        this.followStatus = i;
        this.status_code = i2;
    }
}
